Apache HTTP Server Version 2.4

Apache > HTTP Server > Documentation > Version 2.4 > Programs

# httxt2dbm - Generate dbm files for use with RewriteMap

Available Languages: en | fr | tr

`httxt2dbm` is used to generate dbm files from text input, for use in `RewriteMap` with the `dbm` map type.

If the output file already exists, it will not be truncated. New keys will be added and existing keys will be updated.

### See also

- `httpd`
- `mod_rewrite`
- Comments

## Synopsis

`httxt2dbm [ -v ] [ -f DBM_TYPE ] -i SOURCE_TXT -o OUTPUT_DBM`

## Options

`-v`
  More verbose output
`-f DBM_TYPE`
  Specify the DBM type to be used for the output. If not specified, will use the APR Default. Available types are: `GDBM` for GDBM files, `SDBM` for SDBM files, `DB` for berkeley DB files, `NDBM` for NDBM files, `default` for the default DBM type.
`-i SOURCE_TXT`
  Input file from which the dbm is to be created. The file should be formatted with one record per line, of the form: `key value`. See the documentation for `RewriteMap` for further details of this file's format and meaning.
`-o OUTPUT_DBM`
  Name of the output dbm files.

## Examples

`httxt2dbm -i rewritemap.txt -o rewritemap.dbm
httxt2dbm -f SDBM -i rewritemap.txt -o rewritemap.dbm
`

Available Languages: en | fr | tr

## Comments

Notice:
This is not a Q&A section. Comments placed here should be pointed towards suggestions on improving the documentation or server, and may be removed by our moderators if they are either implemented or considered invalid/off-topic. Questions on how to manage the Apache HTTP Server should be directed at either our IRC channel, #httpd, on Libera.chat, or sent to our mailing lists.